[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / hasErrorAndTouched

# Function: hasErrorAndTouched()

> **hasErrorAndTouched**\<`T`\>(`control`, `error`, `path`?): `boolean`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:136](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/control-actions.ts#L136)

## Type Parameters

• **T**

## Parameters

### control

[`AbstractControl`](../interfaces/AbstractControl.md)\<`T`\>

### error

`string`

### path?

[`ControlPath`](../type-aliases/ControlPath.md)

## Returns

`boolean`
